Loading...
Searching...
No Matches
websocketpp::http Namespace Reference

HTTP handling support. More...

## Namespaces

namespace | status_code
| HTTP Status codes.
namespace | error
| HTTP parser errors.

## Classes

class | exception
| An exception type specific to HTTP errors. More...

## Typedefs

typedef std::map< std::string, std::string > | attribute_list
| The type of an HTTP attribute list.
typedef std::vector< std::pair< std::string, attribute_list > > | parameter_list
| The type of an HTTP parameter list.

## Functions

bool | is_token_char (unsigned char c)
| Is the character a token.
bool | is_not_token_char (unsigned char c)
| Is the character a non-token.
bool | is_whitespace_char (unsigned char c)
| Is the character whitespace.
bool | is_not_whitespace_char (unsigned char c)
| Is the character non-whitespace.

## Variables

static char const | header_delimiter [] = "\r\n"
| Literal value of the HTTP header delimiter.
static char const | header_separator [] = ":"
| Literal value of the HTTP header separator.
static std::string const | empty_header
| Literal value of an empty header.
size_t const | max_header_size = 16000
| Maximum size in bytes before rejecting an HTTP header as too big.
size_t const | max_body_size = 32000000
| Default Maximum size in bytes for HTTP message bodies.
size_t const | istream_buffer = 512
| Number of bytes to use for temporary istream read buffers.
static char const | header_token []
| invalid HTTP token characters

## Detailed Description

HTTP handling support.

## Typedef Documentation

## attribute_list

typedef std::map<std::string,std::string> websocketpp::http::attribute_list

The type of an HTTP attribute list.

The attribute list is an unordered key/value map. Encoded attribute values are delimited by semicolons.

Definition at line 48 of file constants.hpp.

## parameter_list

typedef std::vector< std::pair<std::string,attribute_list> > websocketpp::http::parameter_list

The type of an HTTP parameter list.

The parameter list is an ordered pairing of a parameter and its associated attribute list. Encoded parameter values are delimited by commas.

Definition at line 56 of file constants.hpp.

## Function Documentation

## is_not_token_char()

bool websocketpp::http::is_not_token_char | ( | unsigned char | c | ) |

inline

Is the character a non-token.

Definition at line 106 of file constants.hpp.

## is_not_whitespace_char()

bool websocketpp::http::is_not_whitespace_char | ( | unsigned char | c | ) |

inline

Is the character non-whitespace.

Definition at line 119 of file constants.hpp.

## is_token_char()

bool websocketpp::http::is_token_char | ( | unsigned char | c | ) |

inline

Is the character a token.

Definition at line 101 of file constants.hpp.

## is_whitespace_char()

bool websocketpp::http::is_whitespace_char | ( | unsigned char | c | ) |

inline

Is the character whitespace.

whitespace is space (32) or horizontal tab (9)

Definition at line 114 of file constants.hpp.

## Variable Documentation

## empty_header

std::string const websocketpp::http::empty_header

static

Literal value of an empty header.

Definition at line 65 of file constants.hpp.

## header_delimiter

char const websocketpp::http::header_delimiter[] = "\r\n"

static

Literal value of the HTTP header delimiter.

Definition at line 59 of file constants.hpp.

## header_separator

char const websocketpp::http::header_separator[] = ":"

static

Literal value of the HTTP header separator.

Definition at line 62 of file constants.hpp.

## header_token

char const websocketpp::http::header_token[]

static

Initial value:
= {
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,1,0,1,1,1,1,1,0,0,1,1,0,1,1,0,
1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,
0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,0,1,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
}

invalid HTTP token characters

0x00 - 0x32, 0x7f-0xff ( ) < > @ , ; : \ " / [ ] ? = { }

Definition at line 81 of file constants.hpp.

## istream_buffer

size_t const websocketpp::http::istream_buffer = 512

Number of bytes to use for temporary istream read buffers.

Definition at line 74 of file constants.hpp.

## max_body_size

size_t const websocketpp::http::max_body_size = 32000000

Default Maximum size in bytes for HTTP message bodies.

Definition at line 71 of file constants.hpp.

## max_header_size

size_t const websocketpp::http::max_header_size = 16000

Maximum size in bytes before rejecting an HTTP header as too big.

Definition at line 68 of file constants.hpp.